import { FC } from 'react';
import { DataGridNode, IOptions } from './index';
interface IDataGridProps extends IOptions {
    onSelect?: (node: DataGridNode) => void;
    onDeselect?: () => void;
    onClick?: (e: MouseEvent, node: DataGridNode) => void;
    onDoubleClick?: (e: MouseEvent, node: DataGridNode) => void;
    onContextMenu?: (e: PointerEvent, node: DataGridNode) => void;
    className?: string;
    uniqueId?: string;
    data: any[];
}
declare const LunaDataGrid: FC<IDataGridProps>;
export default LunaDataGrid;
